com.aliyun.svideosdk.common.struct.effect

## Class EffectText

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.EffectPaster
    - - com.aliyun.svideosdk.common.struct.effect.EffectText

- Direct Known Subclasses:
    EffectCaption

      public class EffectText
      extends EffectPaster

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `bitmapScale` 字号过大，emoji 无法生成图片，使用该参数，缩放
    `int` | `breakStrategy` 复制 TextView StaticLayout 里面的参数
    `int` | `dTextColor` 配置文件中默认的文字颜色
    `int` | `dTextStrokeColor` 配置文件中默认文字描边的颜色
    `java.lang.String` | `font` Deprecated.
    `Source` | `fontSource` 字体文件资源
    `boolean` | `hasLabel` 是否有文字背景
    `boolean` | `hasStroke` 是否有描边
    `Bitmap` | `mBackgroundBmp` 背景图片
    `java.lang.String` | `mBackgroundBmpPath` 背景图片的文件存储路径
    `boolean` | `mIncludePad`
    `float` | `mSpacingAdd`
    `float` | `mSpacingMult`
    `Layout.Alignment` | `mTextAlignment` 文字对齐方式
    `int` | `mTextMaxLines` 文字最大行数
    `int` | `mTextPaddingX` 文字左边距，以左上角为原点
    `int` | `mTextPaddingY` 文字上边距，以左上角为原点
    `int` | `mTextSize` 文字字号
    `boolean` | `needSaveBmp` 是否需要保存文字图片
    `java.lang.String` | `text` 文字内容
    `Layout.Alignment` | `textAlignment` 对齐方式
    `java.lang.String` | `textBmpPath` 文字view生成的图片的路径
    `int` | `textColor` 文字颜色
    `int` | `textHeight` 文字view的高度
    `int` | `textLabelColor` 文字背景颜色
    `int` | `textStrokeColor` 文字描边的颜色
    `int` | `textWidth` 文字view的宽度
    `boolean` | `useLineSpacingFromFallbacks`

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectPaster

      `action, displayHeight, displayWidth, duration, end, frameArry, height, isTrack, kernelFrame, mirror, name, PASTER_TYPE_CAPTION, PASTER_TYPE_GIF, PASTER_TYPE_IMAGE, PASTER_TYPE_TEXT, rotation, start, timeArry, width, x, y`

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectText(Source source)`
    `EffectText(java.lang.String path)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(EffectBase base)`
    `java.lang.String` | `generateTextFinger()`
    `java.lang.String` | `getFontPath()`
    `Source` | `getFontSource()`
    `int` | `getPasterType()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectPaster

      `equals, getHeightRatio, getWidthRatio, getXRatio, getYRatio, setHeightRatio, setWidthRatio, setXRatio, setYRatio, toEffectSticker`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### textAlignment

          public Layout.Alignment textAlignment

      对齐方式

    - #### text

          public java.lang.String text

      文字内容

    - #### textBmpPath

          public java.lang.String textBmpPath

      文字view生成的图片的路径

    - #### textWidth

          public int textWidth

      文字view的宽度

    - #### textHeight

          public int textHeight

      文字view的高度

    - #### textColor

          public int textColor

      文字颜色

    - #### dTextColor

          public int dTextColor

      配置文件中默认的文字颜色

    - #### textStrokeColor

          public int textStrokeColor

      文字描边的颜色

    - #### dTextStrokeColor

          public int dTextStrokeColor

      配置文件中默认文字描边的颜色

    - #### font

          @Deprecated
          public java.lang.String font

      Deprecated.
      字体文件路径

    - #### fontSource

          public Source fontSource

      字体文件资源

    - #### hasStroke

          public boolean hasStroke

      是否有描边

    - #### hasLabel

          public boolean hasLabel

      是否有文字背景

    - #### textLabelColor

          public int textLabelColor

      文字背景颜色

    - #### mBackgroundBmp

          public Bitmap mBackgroundBmp

      背景图片

    - #### mBackgroundBmpPath

          public java.lang.String mBackgroundBmpPath

      背景图片的文件存储路径

    - #### mTextSize

          public int mTextSize

      文字字号

    - #### mTextPaddingX

          public int mTextPaddingX

      文字左边距，以左上角为原点

    - #### mTextPaddingY

          public int mTextPaddingY

      文字上边距，以左上角为原点

    - #### mTextAlignment

          public Layout.Alignment mTextAlignment

      文字对齐方式

    - #### needSaveBmp

          public boolean needSaveBmp

      是否需要保存文字图片

    - #### mTextMaxLines

          public int mTextMaxLines

      文字最大行数

    - #### bitmapScale

          public float bitmapScale

      字号过大，emoji 无法生成图片，使用该参数，缩放

    - #### breakStrategy

          public int breakStrategy

      复制 TextView StaticLayout 里面的参数

    - #### useLineSpacingFromFallbacks

          public boolean useLineSpacingFromFallbacks

    - #### mSpacingMult

          public float mSpacingMult

    - #### mSpacingAdd

          public float mSpacingAdd

    - #### mIncludePad

          public boolean mIncludePad

  - ### Constructor Detail

    - #### EffectText

          @Deprecated
          public EffectText(java.lang.String path)

      Deprecated.

    - #### EffectText

          public EffectText(Source source)

  - ### Method Detail

    - #### generateTextFinger

          public java.lang.String generateTextFinger()

    - #### getPasterType

          public int getPasterType()

      Overrides:
        `getPasterType` in class `EffectPaster`

    - #### getFontPath

          public java.lang.String getFontPath()

    - #### getFontSource

          public Source getFontSource()

    - #### copy

          public void copy(EffectBase base)

      Overrides:
        `copy` in class `EffectPaster`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `EffectPaster`